# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We'll provide an approriate perl(:MODULE_COMPAT_*) for our perl version
%global perl_version %(eval "`perl -V:version`"; echo $version)

# For RHL9 and RHEL3 we know that the perl package epoch should be 2
%if "%{__distinit}%{__distvers}" == "rhl9" || "%{__distinit}%{__distvers}" == "rhel3"
%define perlepoch 2:
%else
%define perlepoch %{nil}
%endif

Name:		perl-Module-Compat
Version:	%{perl_version}
Release:	6.%{__distinit}%{__distvers}
Summary:	Perl Module Dependency Helper
URL:		http://fedoraproject.org/wiki/Packaging/Perl
Group:		Development/Libraries
License:	GPL+
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl
Provides:	perl(:MODULE_COMPAT_%{perl_version})
Requires:	perl = %{perlepoch}%{perl_version}

%description
Recent versions of perl module RPM packages use a new style of perl
dependency information, based on a virtual dependency such as:

perl(:MODULE_COMPAT_%{perl_version})

The versions of perl shipped with Red Hat Linux and Red Hat Enterprise
Linux ≤ 3 did not support this virtual dependency, and so it is hard to
build and install perl module RPM packages that use this style of
dependency information. This helper package provides the virtual dependency
to assist in this situation.

%prep

%build

%install
rm -rf %{buildroot}
mkdir %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)

%changelog
* Mon Oct 17 2011 Paul Howarth <paul@city-fan.org> 5.8.0-6
- Nobody else likes macros for commands
- Update dist tag macros

* Fri Aug 28 2009 Paul Howarth <paul@city-fan.org> 5.8.0-5
- Define RPM macros in global scope

* Sat Nov  1 2008 Paul Howarth <paul@city-fan.org> 5.8.0-4
- Clarify license as GPL (any version)
- Add URL tag pointing to Fedora Perl packaging guidelines

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> 5.8.0-3
- Fix dist tag for development builds and Fedora 7 onwards
- Change Group tag to Development/Libraries
- Add empty %%build and empty-ish %%install sections

* Thu Aug 31 2006 Paul Howarth <paul@city-fan.org> 5.8.0-2
- Don't do rpm database queries during package build
- Simplify distribution-detection
- Require specfic epoch for perl dependency on RHL9 and RHEL3
- Define %%{__id_u} if necessary

* Tue May 17 2005 Paul Howarth <paul@city-fan.org>
- initial RPM build
